Bug 599307 - info snapshot return "bdrv_snapshot_list: error -95"
info snapshot return "bdrv_snapshot_list: error -95"
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: qemu-kvm (Show other bugs)
6.0
All Linux
low Severity medium
: rc
: ---
Assigned To: Kevin Wolf
Virtualization Bugs
:
: 627831 (view as bug list)
Depends On:
Blocks: 580954 653758
  Show dependency treegraph
 
Reported: 2010-06-03 00:57 EDT by lihuang
Modified: 2013-01-09 17:40 EST (History)
7 users (show)

See Also:
Fixed In Version: qemu-kvm-0.12.1.2-2.117.el6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 653758 (view as bug list)
Environment:
Last Closed: 2011-05-19 07:33:56 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description lihuang 2010-06-03 00:57:51 EDT
Description of problem:
info snapshot return error envn there is no snapshot.

run with virtio blk
(qemu) info snapshots 
Snapshot devices: virtio0
bdrv_snapshot_list: error -95

run with ide block.
(qemu) info snapshots 
Snapshot devices: ide0-hd0
bdrv_snapshot_list: error -95


Version-Release number of selected component (if applicable):
qemu-kvm-0.12.1.2-2.68.el6.x86_64

How reproducible:
100%

Steps to Reproduce:
1.start guest
2.(qemu) info snapshots 
3.
  
Actual results:


Expected results:


Additional info:
Comment 2 RHEL Product and Program Management 2010-06-07 11:58:08 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux major release.  Product Management has requested further
review of this request by Red Hat Engineering, for potential inclusion in a Red
Hat Enterprise Linux Major release.  This request is not yet committed for
inclusion.
Comment 3 Dor Laor 2010-06-08 09:26:22 EDT
qemu cmdline? What's the actual expected snapshots?
Comment 4 Kevin Wolf 2010-06-09 04:09:30 EDT
Can't reproduce this with the obvious options. I definitely need the command line for qemu and possibly for image creation. (Most importantly: Which image format and is it a file or a block device?)
Comment 5 lihuang 2010-06-09 09:50:18 EDT
checked again. image's format is raw... of cause,snapshot is not supported in raw format..
Not sure if we need to fix the problem ( for example . return snapshot is not supported). so I keep the bug open.
Comment 6 Kevin Wolf 2010-06-09 10:03:07 EDT
Hm, indeed. I thought I tested it with raw and got the right error message, but in fact it only works right in upstream. Will investigate what broke this in RHEL.
Comment 7 Kevin Wolf 2010-07-12 07:26:11 EDT
This is fixed by upstream commit feeee5ac.

However, we don't support internal snapshots in RHEL 6.0, so I think this should be moved to 6.1.
Comment 8 lihuang 2010-09-14 20:20:37 EDT
*** Bug 627831 has been marked as a duplicate of this bug. ***
Comment 14 Shirley Zhou 2010-12-29 21:22:48 EST
Reproduce this bug with qemu-kvm-0.12.1.2-2.113.el6.x86_64.rpm
(qemu) info snapshots 
Snapshot devices: drive-virtio-disk0
bdrv_snapshot_list: error -95

And verify this bug with qemu-kvm-0.12.1.2-2.128.el6.x86_64.rpm
(qemu) info snapshots 
No available block device supports snapshots

This bug has been fixed.
Comment 16 errata-xmlrpc 2011-05-19 07:33:56 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2011-0534.html
Comment 17 errata-xmlrpc 2011-05-19 08:45:31 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2011-0534.html

Note You need to log in before you can comment on or make changes to this bug.